<template>
  <div class="ChatPage"  >
      <div class="chatBox">
        <JwChat :taleList="taleList" @enter="enter" v-model="msg" :toolConfig="toolConfig" 
          />
      </div>
  </div>
</template>

<script>
export default {
  name: "JwChat-index",
  props: {
    config: {
      type: Object,
      default: () => ({

        callback: () => { }
      })
    },
    taleList: {
      type: Array,
      default: () => {
        return []
      }
    },
    height: {
      type: String,
      default: "100vh"
    },
    width: {
      default: "100vh"
    },
    value: {
      default: ''
    },
    toolConfig: {
      type: Object
    }
  },
  data() {
    return {
      chatHeight: '',
      chatWidth: "",
      msg: ''
    }
  },
  computed: {
    faceSize() {
      let height = this.height
      let width = this.width
      if (height.match(/\d$/)) {
        height += 'px'
      }
      if (width.match(/\d$/)) {
        width += 'px'
      }
      const style = { height, width }
      return style
    },
  },
  watch: {
    height: {
      handler() {
        this.chatHeight = this.height - 90 + ''
      },
      immediate: true
    },
    width: {
      handler() {
        this.chatWidth = this.width * .7 + ''
      },
      immediate: true
    },
    value: {
      handler() {
        this.msg = this.value;
      },
      immediate: true
    },
    msg: {
      handler() {
        this.$emit('input', this.msg);
      },
      immediate: true
    }
  },
  methods: {
    bindClick(type) {
      const { callback } = this.config || {}
      if (callback) {
        callback(type)
      }
    },
    enter(msg) {
      this.$emit('enter', msg)
    }
  }
}
</script>

<style  scoped>
.ChatPage {
  margin: 0 auto;
  background: #333333;
  width: 100% !important;
  height:100% !important;
  position: absolute;
 
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
}

.ChatPage .header {
  display: none;
}

.ChatPage .main {

  height:100vh;
  width: 100vh;
  position: absolute;
}

.ChatPage .main .rightBox {
display: none;
}
</style>
